#
# spec file for package libgda (Version 0.91.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  cyrus-sasl2 cyrus-sasl2-devel glib2 glib2-devel gnome-common gnome-filesystem gpp intltool libgpp libxml2 libxml2-devel libxslt libxslt-devel mysql mysql-devel mysql-shared openldap2 openldap2-client openldap2-devel pkgconfig popt popt-devel postgresql-devel postgresql-libs readline readline-devel scrollkeeper unixODBC unixODBC-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib cyrus-sasl-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-common gnome-filesystem heimdal-lib intltool libstdc++-devel libtool libxml2 libxml2-devel libxslt libxslt-devel mysql mysql-devel mysql-shared openldap2 openldap2-devel perl pkgconfig popt-devel postgresql-devel postgresql-libs readline-devel rpm scrollkeeper unixODBC unixODBC-devel

Name:         libgda
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
License:      GPL, LGPL
Group:        Productivity/Databases/Servers
Autoreqprov:  on
Version:      0.91.0
Release:      90
Summary:      GNU Data Access (GDA) Library
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://www.gnome-db.org
Source:       ftp://ftp.gnome.org/pub/gnome/sources/libgda/0.12/%{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.patch
Patch1:       libgda-syslog-vul.patch

%description
GNU Data Access (GDA) is an attempt to provide uniform access to
different kinds of data sources (databases, information servers, mail
spools, etc.). It is a complete architecture that provides all you need
to access your data. It is defined by a set of CORBA interfaces as
generic as possible (but very powerful at the same time) so that any
kind of data source can be accessed through them.



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%package devel
Summary:      GNU Database Access development files
Group:        Development/Libraries/C and C++
Requires:     libgda = %{version}
Autoreqprov:  on

%description devel
Development Files for libgda



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%prep
%setup
%patch -p1
%patch1

%build
ACLOCAL="aclocal -I /opt/gnome/share/aclocal/gnome2-macros" \
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
./configure --sysconfdir=%sysconfdir \
    --prefix=%{prefix} \
    --libdir=%{prefix}/%_lib \
    --with-mysql=/usr \
    --with-postgres=/usr \
    --with-odbc=/usr
make 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang libgda-2

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f libgda-2.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%dir %{sysconfdir}/libgda
%config %{sysconfdir}/libgda/config
%{prefix}/bin/*
%{prefix}/%_lib/lib*.so.*
%dir %{prefix}/%_lib/libgda
%dir %{prefix}/%_lib/libgda/providers
%{prefix}/%_lib/libgda/providers/*.so
%{prefix}/share/libgda
# %{_mandir}/man?/*.* is empty
%{prefix}/share/omf/*

%files devel
%defattr(-, root, root)
%{prefix}/include/*
%{prefix}/%_lib/lib*.*a
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/libgda/providers/*.*a
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/share/gtk-doc/html/*

%changelog -n libgda
* Wed Oct 26 2005 - rodrigo@suse.de
- Added fix for syslog vulnerability (#130698)
* Fri Aug 29 2003 - kukuk@suse.de
- libgda: Don't conflict with ourself
- libgda-devel: Requires libgda
* Tue Aug 26 2003 - sbrabec@suse.cz
- Updated to version 0.91.0.
* Mon Aug 18 2003 - sbrabec@suse.cz
- Package renamed (libgda2 -> libgda).
- Updated to version 0.12.1.
* Thu Jul 17 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jul 01 2003 - ro@suse.de
- added gnome-filesystem to neededforbuild
- added directories to filelist
* Thu Jun 05 2003 - ro@suse.de
- run full autoreconf
- fix configure.in for lib64 platforms
* Wed Jun 04 2003 - sbrabec@suse.cz
- Initial SuSE version of GNOME2 port.
